import spacy
from scipy.io.wavfile import read

#Identify ocer complex words
nlp = spacy.load("en_core_web_sm")
doc = nlp("Apple is looking at buying U.K. startup for $1 billion accumulativeness. This ia a dog. name is Chalika Mihiran")
for token in doc:
    count = len(token)
    if count > 12:
        print(f"{token.text} - {count} letters: This is a too complicated word. It is better to use more simpler word.")

#Identify over complex sentences
for sent in doc.sents:
    word_count = 0
    # print(sent.text)
    for words in sent:
        # print(words.text)
        word_count = word_count + 1
    if word_count > 10:
        print(f'"{sent}" is a overcomplicated sentence. There are {word_count}  words in it.')
    # print(word_count)


sentence_tokens = [sent for sent in doc.sents]
# print(sentence_tokens)


#Calculate the rate of the speed
# Read the Audiofile
samplerate, data = read('C:/Users/CHALIKA PC/Desktop/Year 04/Research/Audio/videoplayback_1_.wav')
# Frame rate for the Audio
print(samplerate)

# Duration of the audio in Seconds
duration = len(data)/samplerate
print("Duration of Audio in Seconds", duration)
print("Duration of Audio in Minutes", duration/60)

print(len(data))

scoreForClearness = 50/100
