import spacy
from spacy.lang.en.stop_words import STOP_WORDS
from string import punctuation

nlp = spacy.load("en_core_web_sm")

stopwords = list(STOP_WORDS)
punctuation = punctuation + '\n'

Topic = nlp("transportation")
Content = nlp("Transportation is movement of people and goods from one location to another. Throughout history, the economic wealth and military power of a people or a nation have been closely tied to efficient methods of transportation. Transportation provides access to natural resources and promotes trade, allowing a nation to accumulate wealth and power. Transportation also allows the movement of soldiers, equipment, and supplies so that a nation can wage war.Transportation is movement of people and goods from one location to another. Throughout history, the economic wealth and military power of a people or a nation have been closely tied to efficient methods of transportation. Transportation provides access to natural resources and promotes trade, allowing a nation to accumulate wealth and power. Transportation also allows the movement of soldiers, equipment, and supplies so that a nation can wage war.Transportation is vital to a nation's economy. Reducing the costs of transporting natural resources to production sites and moving finished goods to markets is one of the key factors in economic competition. The transportation industry is the largest industry in the world. It includes the manufacture and distribution of vehicles, the production and distribution of fuel, and the provision of transportation services. In the 1990s, approximately 11 percent of the U.S. gross domestic product and an estimated 10 percent of all jobs in the United States were related to the transportation industry.The same transportation systems that link a nation can also be used in the nation's war efforts. The rapid movement of troops, equipment, and supplies can be a deciding factor in winning a battle or a war. Transportation is usually classified by the medium in which the movement occurs, such as by land, air, water, or pipeline. Within each of the first three media, many different methods are used to move people and goods from place to place. Pipelines are used mainly to transport liquids or gases over long distances.")

Total_similarity = 0

for token1 in Content:
    if token1.text.lower() not in stopwords:
        if token1.text.lower() not in punctuation:
            for token2 in Topic:
                print((token1.text, token2.text), "similarity", token1.similarity(token2))
                Total_similarity = Total_similarity + token1.similarity(token2)


print(len(Content))
print(f'Total score for the similarity: {Total_similarity}')
average_similarity = (Total_similarity/len(Content))*100
print(f'Average score for the similarity between topic and content: {average_similarity}%')

